Sobre as AWS CLI versões - AWS Command Line Interface

O Python 2.7, 3.4 e 3.5 está sendo defasado para o AWS CLI versão 1. Para obter mais informações, consulte a AWS CLI versão 1 seção de Sobre as AWS CLI versões.

As traduções são geradas por tradução automática. Em caso de conflito entre o conteúdo da tradução e da versão original em inglês, a versão em inglês prevalecerá.

Sobre as AWS CLI versões

A AWS CLI está disponível em duas versões, e as informações neste guia se aplicam a ambas, salvo indicação em contrário. Para verificar qual versão você pode ter instalada no momento, execute o aws --version comando no shell. O valor retornado fornece a versão atual que você instalou. O exemplo a seguir mostra que a versão em execução é 2.1.24.

$ aws --version aws-cli/2.1.24 Python/3.7.4 Linux/4.14.133-113.105.amzn2.x86_64 botocore/2.0.0

AWS CLI versão 2

A AWS CLI versão 2 é a versão principal mais recente da AWS CLI e oferece suporte a todos os recursos mais recentes. Alguns recursos apresentados na versão 2 não são enviados para backport para a versão 1 e você deve atualizar para acessar esses recursos. Há algumas alterações “de última hora” da versão 1 que podem exigir que você altere seus scripts. Para obter uma lista de alterações que podem causar interrupções na versão 2, consulte Últimas alterações – migrar da AWS CLI versão 1 para a versão 2.

A AWS CLI versão 2 está disponível para instalação apenas como um pacote de instalador. Embora você possa encontrá-lo nos gerenciadores de pacotes, esses pacotes não são compatíveis e não oficiais que não são produzidos nem gerenciados pelo AWS. Recomendamos que você instale a AWS CLI apenas dos pontos de distribuição oficiais da AWS, conforme documentado neste guia.

Para instalar a AWS CLI versão 2, consulte Instalar, atualizar e desinstalar aAWS CLI versão 2.

Para ver o histórico de versões, consulte o AWS CLI versão 2 Changelog em GitHub.

AWS CLI versão 1

Atenção

O Python 2.7 foi descontinuado pela Python Software Foundation em 1o de janeiro de 2020. Daqui para frente, os clientes que usam o AWS CLI versão 1 devem fazer a transição para usar o Python 3, com um mínimo de Python 3.6. O suporte ao Python 2.7 está obsoleto para novas versões do a AWS CLI versão 1 partir de 19/07/2021. O Python 3.4 e 3.5 está obsoleto a partir de 01/02/2021.

Para continuar usando o AWS CLI versão 1 com versões mais antigas do Python, consulte a matriz de suporte da versão do Python abaixo.

Para obter instruções de instalação do Python, consulte a página Downloading Python no Beginner Guide do Python.

A AWS CLI versão 1 é a AWS CLI original e continuamos a oferecer suporte a ela. No entanto, pode ser que não seja feita a portabilidade dos principais recursos apresentados na AWS CLI versão 2 para a AWS CLI versão 1. Para usar esses recursos, é necessário instalar a AWS CLI versão 2.

A AWS CLI versão 1 é criada usando o Python SDK do e, portanto, requer que você instale uma versão compatível do Python.

Matriz de suporte à versão do Python
Versão da CLI da AWS Versão compatível do Python
Versões que começam em 19/07/2021 Python 3.6+
1.19.0 – atual Python 2.7+, Python 3.6+
1.17 – 1.18.x Python 2.7+, Python 3.4+
1.0 – 1.16.x Python 2.6 e anterior, Python 3.3 e anterior

Para instalar a AWS CLI versão 1, consulte Instalar, atualizar e desinstalar aAWS CLI versão 1.

Para ver o histórico de versões, consulte o AWS CLI versão 1 Changelog em GitHub.